The Laravel Cloud API and CLI are here. Build pipelines, manage environments, and hand off to AI agents. View the docs →
curl --request GET \
--url https://cloud.laravel.com/api/instances/{instance}/background-processes \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"type": "background_processes",
"attributes": {
"type": "worker",
"processes": 123,
"command": "<string>",
"config": [
"<unknown>"
],
"strategy_type": "none",
"strategy_threshold": 123,
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"instance": {
"data": {
"type": "instances",
"id": "<string>"
}
}
}
}
],
"links": {
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>"
},
"meta": {
"current_page": 2,
"from": 2,
"last_page": 2,
"links": [
{
"url": "<string>",
"label": "<string>",
"active": true
}
],
"path": "<string>",
"per_page": 1,
"to": 2,
"total": 1
},
"included": [
{
"id": "<string>",
"type": "instances",
"attributes": {
"name": "<string>",
"type": "app",
"size": "flex.c-1vcpu-256mb",
"scaling_type": "none",
"min_replicas": 123,
"max_replicas": 123,
"visibility_timeout": "<string>",
"shutdown_timeout": 123,
"uses_scheduler": true,
"scaling_cpu_threshold_percentage": 123,
"scaling_memory_threshold_percentage": 123,
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"environment": {
"data": {
"type": "environments",
"id": "<string>"
}
},
"backgroundProcesses": {
"data": [
{
"type": "background_processes",
"id": "<string>"
}
]
}
}
}
]
}Get a list of all background processes for the given instance.
curl --request GET \
--url https://cloud.laravel.com/api/instances/{instance}/background-processes \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"type": "background_processes",
"attributes": {
"type": "worker",
"processes": 123,
"command": "<string>",
"config": [
"<unknown>"
],
"strategy_type": "none",
"strategy_threshold": 123,
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"instance": {
"data": {
"type": "instances",
"id": "<string>"
}
}
}
}
],
"links": {
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>"
},
"meta": {
"current_page": 2,
"from": 2,
"last_page": 2,
"links": [
{
"url": "<string>",
"label": "<string>",
"active": true
}
],
"path": "<string>",
"per_page": 1,
"to": 2,
"total": 1
},
"included": [
{
"id": "<string>",
"type": "instances",
"attributes": {
"name": "<string>",
"type": "app",
"size": "flex.c-1vcpu-256mb",
"scaling_type": "none",
"min_replicas": 123,
"max_replicas": 123,
"visibility_timeout": "<string>",
"shutdown_timeout": 123,
"uses_scheduler": true,
"scaling_cpu_threshold_percentage": 123,
"scaling_memory_threshold_percentage": 123,
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"environment": {
"data": {
"type": "environments",
"id": "<string>"
}
},
"backgroundProcesses": {
"data": [
{
"type": "background_processes",
"id": "<string>"
}
]
}
}
}
]
}Documentation Index
Fetch the complete documentation index at: https://cloud.laravel.com/docs/llms.txt
Use this file to discover all available pages before exploring further.
The Bearer Token generated on the Cloud UI.
The instance identifier
Available includes are instance. You can include multiple options by separating them with a comma.
Was this page helpful?